#include "androidlinker.h"
#include "androidtools.h"

using namespace std;

AndroidLinker::AndroidLinker(Builder &b, const Architecture &a, const AndroidNdk &ndk):
	GnuLinker(b, a)
{
	build_info.sysroot = ndk.get_platform_sysroot();
}

Target *AndroidLinker::create_target(const list<Target *> &sources, const string &)
{
	return GnuLinker::create_target(sources, "shared");
}
