#ifndef MSVCLINKER_H_
#define MSVCLINKER_H_

#include "tool.h"

class MicrosoftTools;

class MsvcLinker: public Tool
{
private:
	const MicrosoftTools &ms_tools;

public:
	MsvcLinker(Builder &, const Architecture &, const MicrosoftTools &);

	virtual Target *create_target(const std::list<Target *> &, const std::string &);
	virtual std::string create_build_signature(const BuildInfo &) const;

protected:
	virtual void do_prepare();

public:
	virtual Task *run(const Target &) const;
};

#endif
