#ifndef ANDROIDRESOURCEFILE_H_
#define ANDROIDRESOURCEFILE_H_

#include "filetarget.h"

/**
A file destined to be used as a resource in an Android application.
*/
class AndroidResourceFile: public FileTarget
{
private:
	std::string resource_type;

public:
	AndroidResourceFile(Builder &, const Component &, const Msp::FS::Path &);

	virtual const char *get_type() const { return "AndroidResourceFile"; }
};

#endif
