#ifndef GNUARCHIVER_H_
#define GNUARCHIVER_H_

#include "tool.h"

class GnuArchiver: public Tool
{
public:
	GnuArchiver(Builder &, const Architecture &);

	virtual Target *create_target(const std::list<Target *> &, const std::string &);
	virtual std::string create_build_signature(const BuildInfo &) const;
	virtual Task *run(const Target &) const;
};

#endif
