#ifndef VCXPROJECTGENERATOR_H_
#define VCXPROJECTGENERATOR_H_

#include "internaltask.h"
#include "tool.h"

class VcxProjectFile;

class VcxProjectGenerator: public Tool
{
private:
	class Worker: public InternalTask::Worker
	{
	private:
		const VcxProjectFile &target;

	public:
		Worker(const VcxProjectFile &);

	private:
		virtual void main();
	};

public:
	VcxProjectGenerator(Builder &);

	virtual Target *create_target(const std::list<Target *> &, const std::string &);
	virtual Task *run(const Target &) const;
};

#endif
